RelayAPI

Set a custom field value for a contact

PUT
/v1/contacts/{id}/fields/{slug}
AuthorizationBearer <token>

API key (rlay_live_* or rlay_test_*)

In: header

Path Parameters

id*string

Contact ID

slug*string

Custom field slug

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

value*string

Field value

Response Body

application/json

application/json

application/json

curl -X PUT "https://api.relayapi.dev/v1/contacts/string/fields/string" \  -H "Content-Type: application/json" \  -d '{    "value": "string"  }'
{
  "success": true,
  "field": "string",
  "value": "string"
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}

Found something wrong? Help us improve this page.

Submit an Issue
Requires a GitHub account.View repo